set term qt 0
clear 
reset 
load 'sty.gnu'
unset grid 
unset key
########################### parameters and functions ####
load 'lognormalfuncInv.gnu'
################################### output ###
set output 'lognorm_PDF_CDF_mp.eps'
set terminal postscript eps enhanced color font 'Helvetica,22'
###########################################
set multiplot layout 2,1
set bmargin 2.0
unset y2tics 
set xrange [0:1.2]
################# plot 1: Probability density function
set origin 0,0.48
set size 1,0.52
unset xlabel
set xtics format ""
#set ylabel 'Probability density W(r)' offset -0.8,0
set yrange [0:3]
# set label 1 '{/Times:Italic r_m}' at xm,-0.1 font 'Times-Roman, 24' textcolor rgb 'blue'
#set label 2 '{/Times:Italic r_{mod}}' at 0.6*mod,-0.1 font 'Times-Roman, 24' textcolor rgb 'red'
#set label 3 '{/Times:Italic ~r{.35-}}' at 1.0*mean,-0.1 font 'Times-Roman, 26' textcolor rgb '#008080'
#set label 4 sprintf("{/Times:Italic {/Symbol s}} = %3.4f ",sigma ) at 0.6,4 font "arialbd,18" textcolor 'black'
#set label 7 sprintf("{/Times*1.5:Italic r_{mod}} = %3.4f {/Symbol m}m",mod ) at 0.6,3.5 font "arialbd,18" textcolor 'red'
#set label 8 sprintf("{/Times*1.5:Italic r_m} = %3.4f {/Symbol m}m",median) at 0.6,3.0 font "arialbd,18" textcolor 'blue'
#set label 9 sprintf("{/Times*1.5:Italic ~r{.35-}} = %3.4f {/Symbol m}m",mean) at 0.6,2.5 font "arialbd,18" textcolor '#008080'
# set label 2 sprintf("c = %3.4f",c) at 510,70 font "arialbd,18"
################################ arrows #######
set arrow from mod,0 to mod,PDF_mod ls 2 lc rgb 'red' nohead
set arrow from median,0 to median,PDF_med ls 2 lc rgb 'blue' nohead
# set arrow from mean,0 to mean,PDF_mean ls 2 lc rgb  '#008080' nohead
set arrow from r_max,0 to r_max,0.2 ls 2 lc rgb 'dark-green' nohead 
#########
plot PDF(x) w l ls 1
unset arrow
unset label
#
#
################# plot 2: Cumulative distribution function
set origin 0,0
set size 1,0.52
set xtics offset 0,0.
set xtics format "%1.1f"
#set xlabel 'Radius [{/Symbol m}m]' offset 0,0.5
#set ylabel 'Cumulative distribution F(r)' offset 1.2,0
set yrange [0:1.1]
################################ arrows #######
#set label 7 sprintf("CFD ( {/Times*1.5:Italic r_{mod}}) = %3.4f",CDF_mod ) at 0.6,0.65 font "arialbd,18" textcolor 'red'
#set label 8 sprintf("CFD ( {/Times*1.5:Italic r_m} ) = %3.4f",CDF_med) at 0.6,0.55 font "arialbd,18" textcolor 'blue'
#set label 9 sprintf("CFD ( {/Times*1.5:Italic ~r{.35-}} ) = %3.4f",CDF_mean) at 0.6,0.45 font "arialbd,18" textcolor '#008080'
set arrow from 0,CDF_mod to mod,CDF_mod ls 2 lc rgb 'red' nohead
set arrow from mod,0 to mod,CDF_mod ls 2 lc rgb 'red' nohead
set arrow from 0,CDF_med to median,CDF_med ls 2 lc rgb 'blue' nohead
set arrow from median,0 to median,CDF_med ls 2 lc rgb 'blue' nohead
# set arrow from 0,CDF_mean to mean,CDF_mean ls 2 lc rgb '#008080' nohead
# set arrow from mean,0 to mean,1 ls 2 lc rgb  '#008080' nohead
set arrow from r_max,0 to r_max,CDF_max ls 2 lc rgb 'dark-green' nohead
set arrow from 0, CDF_max to r_max,CDF_max ls 2 lc rgb 'dark-green' nohead
plot CDF(x) w l ls 1
unset multiplot
unset label 





